#include "FileLogger.h"

FileLogger::FileLogger()
	:mWorkDirectory(),
	 mFileName("MT_Log.txt"),
	 mFileStream()
{

}

FileLogger::~FileLogger()
{

}

void FileLogger::SetWorkDirectory(const std::string& workDir)
{
	mWorkDirectory = workDir;
}

void FileLogger::SetFileName(const std::string& fileName)
{
	mFileName = fileName;
}

void FileLogger::Open()
{
	mFileStream.open(mWorkDirectory + "/" + mFileName);
}

void FileLogger::Close()
{
	mFileStream.close();
}

void FileLogger::LogLine(const std::string& line)
{
	mFileStream << line << std::endl;
}

std::shared_ptr<FileLogger> FileLogger::Create()
{
	return std::make_shared<FileLogger>();
}
