#pragma once

#include <memory>
#include <string>
#include <fstream>

class FileLogger
{
	std::string mWorkDirectory;

	std::string mFileName;

	std::ofstream mFileStream;

public:

	FileLogger();

	~FileLogger();

	void SetWorkDirectory(const std::string& workDir);

	void SetFileName(const std::string& fileName);

	void Open();

	void Close();

	void LogLine(const std::string& line);

	static std::shared_ptr<FileLogger> Create();

};

using FileLoggerPtr = std::shared_ptr<FileLogger>;
